(defpackage #:myoji-accent/accent
  (:use #:cl)
  (:export #:accent-point
           #:accent-string
           #:accent-name
           #:count-word-mora
           #:valid-accent-string-p
           #:myoji
           #:myoji-reading
           #:myoji-kanji
           #:myoji-accent-string
           #:myoji-accent-point
           #:myoji-accent-name
           #:myoji-accent-html
           #:make-myoji
           #:initialize-connection))

(defpackage #:myoji-accent/index
  (:use #:cl #:myoji-accent/accent)
  (:import-from #:reblocks/html
                #:with-html)
  (:import-from #:reblocks-ui/form
                #:with-html-form)
  (:import-from #:reblocks/widget
                #:defwidget)
  (:import-from #:reblocks/app
                #:defapp)
  (:export #:*pitch-color*
           #:index))

(defpackage #:myoji-accent/entry
  (:use #:cl #:myoji-accent/accent)
  (:import-from #:myoji-accent/index
                #:*pitch-color*)
  (:import-from #:reblocks/html
                #:with-html)
  (:import-from #:reblocks-ui/form
                #:with-html-form)
  (:import-from #:reblocks/widget
                #:defwidget)
  (:import-from #:reblocks/app
                #:defapp))
